curl "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN"
const client = await api.getClient("client-uuid-1");
{
"id": "client-uuid-1",
"name": "Acme Corp",
"deployDay": "Monday",
"contentCadence": 2,
"status": "active",
"assignedWriters": ["user-uuid-1"],
"assignedDesigners": ["user-uuid-2"],
"writers": [{"id": "user-uuid-1", "name": "Alice", "email": "alice@example.com"}],
"designers": [{"id": "user-uuid-2", "name": "Bob", "email": "bob@example.com"}],
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T10:00:00.000Z"
}
Clients
Get Client
Get a single client with assigned member details
GET
/
api
/
clients
/
:id
curl "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN"
const client = await api.getClient("client-uuid-1");
{
"id": "client-uuid-1",
"name": "Acme Corp",
"deployDay": "Monday",
"contentCadence": 2,
"status": "active",
"assignedWriters": ["user-uuid-1"],
"assignedDesigners": ["user-uuid-2"],
"writers": [{"id": "user-uuid-1", "name": "Alice", "email": "alice@example.com"}],
"designers": [{"id": "user-uuid-2", "name": "Bob", "email": "bob@example.com"}],
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T10:00:00.000Z"
}
This endpoint requires authentication.
Path Parameters
string
required
Client UUID
Response
Client object with resolved writer and designer details.string
Client UUID
string
Client name
string
Deploy day
integer
Posts per week
string
Current status
array
Resolved writer objects with id, name, email
array
Resolved designer objects with id, name, email
curl "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN"
const client = await api.getClient("client-uuid-1");
{
"id": "client-uuid-1",
"name": "Acme Corp",
"deployDay": "Monday",
"contentCadence": 2,
"status": "active",
"assignedWriters": ["user-uuid-1"],
"assignedDesigners": ["user-uuid-2"],
"writers": [{"id": "user-uuid-1", "name": "Alice", "email": "alice@example.com"}],
"designers": [{"id": "user-uuid-2", "name": "Bob", "email": "bob@example.com"}],
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T10:00:00.000Z"
}